import request from '@/utils/request'

// 查询学院介绍列表
export function listMallFacultyInfo(query) {
  return request({
    url: '/mall/mallFacultyInfo/list',
    method: 'get',
    params: query
  })
}

// 查询学院介绍详细
export function getMallFacultyInfo(facultyId) {
  return request({
    url: '/mall/mallFacultyInfo/' + facultyId,
    method: 'get'
  })
}

// 新增学院介绍
export function addMallFacultyInfo(data) {
  return request({
    url: '/mall/mallFacultyInfo',
    method: 'post',
    data: data
  })
}

// 修改学院介绍
export function updateMallFacultyInfo(data) {
  return request({
    url: '/mall/mallFacultyInfo',
    method: 'put',
    data: data
  })
}

// 删除学院介绍
export function delMallFacultyInfo(facultyId) {
  return request({
    url: '/mall/mallFacultyInfo/' + facultyId,
    method: 'delete'
  })
}
